Index: sasmodels/models/dab.py
===================================================================
--- sasmodels/models/dab.py	(revision 304c775207a9dbbadb23ad414848454d66b556d1)
+++ sasmodels/models/dab.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -66,4 +66,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     pars = dict(
         scale=10**np.random.uniform(1, 4),
Index: sasmodels/models/ellipsoid.py
===================================================================
--- sasmodels/models/ellipsoid.py	(revision 99658f6e997e12486269a52113af19f5089e0ef0)
+++ sasmodels/models/ellipsoid.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -126,9 +126,4 @@
 from numpy import inf, sin, cos, pi
 
-try:
-    from numpy import cbrt
-except ImportError:
-    def cbrt(x): return x ** (1.0/3.0)
-
 name = "ellipsoid"
 title = "Ellipsoid of revolution with uniform scattering length density."
@@ -174,4 +169,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     volume = 10**np.random.uniform(5, 12)
     radius_polar = 10**np.random.uniform(1.3, 4)
Index: sasmodels/models/elliptical_cylinder.py
===================================================================
--- sasmodels/models/elliptical_cylinder.py	(revision 99658f6e997e12486269a52113af19f5089e0ef0)
+++ sasmodels/models/elliptical_cylinder.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -88,5 +88,5 @@
 L A Feigin and D I Svergun, *Structure Analysis by Small-Angle X-Ray and
 Neutron Scattering*, Plenum, New York, (1987) [see table 3.4]
-L. Onsager, Ann. New York Acad. Sci. 51, 627-659 (1949). 
+L. Onsager, Ann. New York Acad. Sci. 51, 627-659 (1949).
 
 Authorship and Verification
@@ -125,5 +125,6 @@
 have_Fq = True
 effective_radius_type = [
-    "equivalent cylinder excluded volume", "equivalent volume sphere", "average radius", "min radius", "max radius",
+    "equivalent cylinder excluded volume",
+    "equivalent volume sphere", "average radius", "min radius", "max radius",
     "equivalent circular cross-section",
     "half length", "half min dimension", "half max dimension", "half diagonal",
@@ -135,9 +136,10 @@
 
 def random():
+    """Return a random parameter set for the model."""
     # V = pi * radius_major * radius_minor * length;
     volume = 10**np.random.uniform(3, 9)
     length = 10**np.random.uniform(1, 3)
     axis_ratio = 10**np.random.uniform(0, 2)
-    radius_minor = np.sqrt(volume/length/axis_ratio)
+    radius_minor = sqrt(volume/length/axis_ratio)
     volfrac = 10**np.random.uniform(-4, -2)
     pars = dict(
@@ -156,6 +158,6 @@
 
 tests = [
-#    [{'radius_minor': 20.0, 'axis_ratio': 1.5, 'length':400.0}, 'ER', 79.89245454155024],
-#    [{'radius_minor': 20.0, 'axis_ratio': 1.2, 'length':300.0}, 'VR', 1],
+    #[{'radius_minor': 20.0, 'axis_ratio': 1.5, 'length':400.0}, 'ER', 79.89245454155024],
+    #[{'radius_minor': 20.0, 'axis_ratio': 1.2, 'length':300.0}, 'VR', 1],
 
     # The SasView test result was 0.00169, with a background of 0.001
Index: sasmodels/models/fcc_paracrystal.py
===================================================================
--- sasmodels/models/fcc_paracrystal.py	(revision da7b26b2f3ecdd4d6eea063846bb148e3def2477)
+++ sasmodels/models/fcc_paracrystal.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -3,7 +3,7 @@
 #note - calculation requires double precision
 r"""
-.. warning:: This model and this model description are under review following 
-             concerns raised by SasView users. If you need to use this model, 
-             please email help@sasview.org for the latest situation. *The 
+.. warning:: This model and this model description are under review following
+             concerns raised by SasView users. If you need to use this model,
+             please email help@sasview.org for the latest situation. *The
              SasView Developers. September 2018.*
 
@@ -137,4 +137,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     # copied from bcc_paracrystal
     radius = 10**np.random.uniform(1.3, 4)
Index: sasmodels/models/flexible_cylinder.py
===================================================================
--- sasmodels/models/flexible_cylinder.py	(revision 2d81cfe3be42579d563407fb9275b7b516fee234)
+++ sasmodels/models/flexible_cylinder.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -89,4 +89,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     length = 10**np.random.uniform(2, 6)
     radius = 10**np.random.uniform(1, 3)
Index: sasmodels/models/flexible_cylinder_elliptical.py
===================================================================
--- sasmodels/models/flexible_cylinder_elliptical.py	(revision 2d81cfe3be42579d563407fb9275b7b516fee234)
+++ sasmodels/models/flexible_cylinder_elliptical.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -115,4 +115,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     length = 10**np.random.uniform(2, 6)
     radius = 10**np.random.uniform(1, 3)
Index: sasmodels/models/fractal.py
===================================================================
--- sasmodels/models/fractal.py	(revision 2d81cfe3be42579d563407fb9275b7b516fee234)
+++ sasmodels/models/fractal.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -100,4 +100,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     radius = 10**np.random.uniform(0.7, 4)
     #radius = 5
Index: sasmodels/models/fractal_core_shell.py
===================================================================
--- sasmodels/models/fractal_core_shell.py	(revision 2cc8aa2a798267dbefb6309f9f93a254fa180b82)
+++ sasmodels/models/fractal_core_shell.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -60,5 +60,5 @@
 
 import numpy as np
-from numpy import pi, inf
+from numpy import inf
 
 name = "fractal_core_shell"
@@ -98,4 +98,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     outer_radius = 10**np.random.uniform(0.7, 4)
     # Use a distribution with a preference for thin shell or thin core
@@ -126,4 +127,5 @@
             cor_length=100.0)
 
+# TODO: why is there an ER function here?
 def ER(radius, thickness):
     """
@@ -136,19 +138,21 @@
 #tests = [[{'radius': 20.0, 'thickness': 10.0}, 'ER', 30.0],
 tests = [
-#         # At some point the SasView 3.x test result was deemed incorrect. The
-          #following tests were verified against NIST IGOR macros ver 7.850.
-          #NOTE: NIST macros do only provide for a polydispers core (no option
-          #for a poly shell or for a monodisperse core.  The results seemed
-          #extremely sensitive to the core PD, varying non monotonically all
-          #the way to a PD of 1e-6. From 1e-6 to 1e-9 no changes in the
-          #results were observed and the values below were taken using PD=1e-9.
-          #Non-monotonically = I(0.001)=188 to 140 to 177 back to 160 etc.
-         [{'radius': 20.0,
-           'thickness': 5.0,
-           'sld_core': 3.5,
-           'sld_shell': 1.0,
-           'sld_solvent': 6.35,
-           'volfraction': 0.05,
-           'background': 0.0},
-           [0.001,0.00291,0.0107944,0.029923,0.100726,0.476304],
-           [177.146,165.151,84.1596,20.1466,1.40906,0.00622666]]]
+    # At some point the SasView 3.x test result was deemed incorrect.  The
+    # following tests were verified against NIST IGOR macros ver 7.850.
+    # NOTE: NIST macros do only provide for a polydispers core (no option
+    # for a poly shell or for a monodisperse core.  The results seemed
+    # extremely sensitive to the core PD, varying non monotonically all
+    # the way to a PD of 1e-6. From 1e-6 to 1e-9 no changes in the
+    # results were observed and the values below were taken using PD=1e-9.
+    # Non-monotonically = I(0.001)=188 to 140 to 177 back to 160 etc.
+    [{'radius': 20.0,
+      'thickness': 5.0,
+      'sld_core': 3.5,
+      'sld_shell': 1.0,
+      'sld_solvent': 6.35,
+      'volfraction': 0.05,
+      'background': 0.0},
+     [0.001, 0.00291, 0.0107944, 0.029923, 0.100726, 0.476304],
+     [177.146, 165.151, 84.1596, 20.1466, 1.40906, 0.00622666]
+    ]
+]
Index: sasmodels/models/fuzzy_sphere.py
===================================================================
--- sasmodels/models/fuzzy_sphere.py	(revision ee60aa768b29c58e20b19e94578ec3a94a0889d7)
+++ sasmodels/models/fuzzy_sphere.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -82,9 +82,10 @@
 # pylint: enable=bad-whitespace,line-too-long
 
-source = ["lib/sas_3j1x_x.c","fuzzy_sphere.c"]
+source = ["lib/sas_3j1x_x.c", "fuzzy_sphere.c"]
 have_Fq = True
 effective_radius_type = ["radius", "radius + fuzziness"]
 
 def random():
+    """Return a random parameter set for the model."""
     radius = 10**np.random.uniform(1, 4.7)
     fuzziness = 10**np.random.uniform(-2, -0.5)*radius  # 1% to 31% fuzziness
Index: sasmodels/models/gauss_lorentz_gel.py
===================================================================
--- sasmodels/models/gauss_lorentz_gel.py	(revision 2d81cfe3be42579d563407fb9275b7b516fee234)
+++ sasmodels/models/gauss_lorentz_gel.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -89,4 +89,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     gauss_scale = 10**np.random.uniform(1, 3)
     lorentz_scale = 10**np.random.uniform(1, 3)
Index: sasmodels/models/gaussian_peak.py
===================================================================
--- sasmodels/models/gaussian_peak.py	(revision 304c775207a9dbbadb23ad414848454d66b556d1)
+++ sasmodels/models/gaussian_peak.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -51,4 +51,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     peak_pos = 10**np.random.uniform(-3, -1)
     sigma = 10**np.random.uniform(-1.3, -0.3)*peak_pos
Index: sasmodels/models/gel_fit.py
===================================================================
--- sasmodels/models/gel_fit.py	(revision 2d81cfe3be42579d563407fb9275b7b516fee234)
+++ sasmodels/models/gel_fit.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -72,4 +72,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     guinier_scale = 10**np.random.uniform(1, 3)
     lorentz_scale = 10**np.random.uniform(1, 3)
Index: sasmodels/models/guinier.py
===================================================================
--- sasmodels/models/guinier.py	(revision c9fc87335cd86f10c8c9e3654927fdeeba6a70af)
+++ sasmodels/models/guinier.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -38,7 +38,7 @@
 
 To specify a negative value of $R_g^2$ in SasView, simply give $R_g$ a negative
-value ($R_g^2$ will be evaluated as $R_g |R_g|$). Note that the physical radius 
-of gyration, of the exterior of the particle, will still be large and positive. 
-It is only the apparent size from the small $Q$ data that will give a small or 
+value ($R_g^2$ will be evaluated as $R_g |R_g|$). Note that the physical radius
+of gyration, of the exterior of the particle, will still be large and positive.
+It is only the apparent size from the small $Q$ data that will give a small or
 negative value of $R_g^2$.
 
@@ -74,4 +74,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     scale = 10**np.random.uniform(1, 4)
     # Note: compare.py has Rg cutoff of 1e-30 at q=1 for guinier, so use that
@@ -89,5 +90,5 @@
 
 # parameters for demo
-demo = dict(scale=1.0,  background=0.001, rg=60.0 )
+demo = dict(scale=1.0, background=0.001, rg=60.0)
 
 # parameters for unit tests
Index: sasmodels/models/guinier_porod.py
===================================================================
--- sasmodels/models/guinier_porod.py	(revision 2d81cfe3be42579d563407fb9275b7b516fee234)
+++ sasmodels/models/guinier_porod.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -115,4 +115,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     rg = 10**np.random.uniform(1, 5)
     s = np.random.uniform(0, 3)
Index: sasmodels/models/hardsphere.py
===================================================================
--- sasmodels/models/hardsphere.py	(revision 304c775207a9dbbadb23ad414848454d66b556d1)
+++ sasmodels/models/hardsphere.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -155,4 +155,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     pars = dict(
         scale=1, background=0,
Index: sasmodels/models/hayter_msa.py
===================================================================
--- sasmodels/models/hayter_msa.py	(revision 304c775207a9dbbadb23ad414848454d66b556d1)
+++ sasmodels/models/hayter_msa.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -91,4 +91,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     # TODO: too many failures for random hayter_msa parameters
     pars = dict(
Index: sasmodels/models/hollow_cylinder.py
===================================================================
--- sasmodels/models/hollow_cylinder.py	(revision 99658f6e997e12486269a52113af19f5089e0ef0)
+++ sasmodels/models/hollow_cylinder.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -60,5 +60,5 @@
 .. [#] L A Feigin and D I Svergun, *Structure Analysis by Small-Angle X-Ray and
    Neutron Scattering*, Plenum Press, New York, (1987)
-L. Onsager, Ann. New York Acad. Sci. 51, 627-659 (1949). 
+L. Onsager, Ann. New York Acad. Sci. 51, 627-659 (1949).
 
 Authorship and Verification
@@ -103,5 +103,6 @@
 have_Fq = True
 effective_radius_type = [
-    "excluded volume", "equivalent outer volume sphere", "outer radius", "half length",
+    "excluded volume", "equivalent outer volume sphere",
+    "outer radius", "half length",
     "half outer min dimension", "half outer max dimension",
     "half outer diagonal",
@@ -109,4 +110,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     length = 10**np.random.uniform(1, 4.7)
     outer_radius = 10**np.random.uniform(1, 4.7)
@@ -130,21 +132,37 @@
             theta_pd=10, theta_pd_n=5,
            )
+
+def r_eff(radius, thickness, length):
+    """R_eff from excluded volume"""
+    radius += thickness
+    return (0.5*(0.75*radius*(2.0*radius*length
+                              + (radius + length)*(pi*radius + length))
+                )**(1./3.))
+
+def shell_volume(radius, thickness, length):
+    """shell volume for parameter set"""
+    return pi*((radius+thickness)**2-radius**2)*length
+
+def form_shell_ratio(radius, thickness, length):
+    """form:shell ratio"""
+    return (radius+thickness)**2/((radius+thickness)**2 - radius**2)
+
 q = 0.1
 # april 6 2017, rkh added a 2d unit test, assume correct!
 qx = q*cos(pi/6.0)
 qy = q*sin(pi/6.0)
-radius = parameters[0][2]
-thickness = parameters[1][2]
-length = parameters[2][2]
+test_pars = [
+    parameters[0][2], # radius
+    parameters[1][2], # thickness
+    parameters[2][2], # length
+]
 # Parameters for unit tests
 tests = [
     [{}, 0.00005, 1764.926],
     [{}, 0.1, None, None,
-     0.5*(0.75*(radius+thickness)*(2.0*(radius+thickness)*length + ((radius+thickness) + length)*(pi*(radius+thickness) + length)))**(1./3.),  # R_eff from excluded volume
-     pi*((radius+thickness)**2-radius**2)*length,  # shell volume
-     (radius+thickness)**2/((radius+thickness)**2 - radius**2), # form:shell ratio
+     r_eff(*test_pars), shell_volume(*test_pars), form_shell_ratio(*test_pars),
     ],
     [{}, 0.001, 1756.76],
     [{}, (qx, qy), 2.36885476192],
 ]
-del qx, qy  # not necessary to delete, but cleaner
+del qx, qy, test_pars  # not necessary to delete, but cleaner
Index: sasmodels/models/hollow_rectangular_prism.py
===================================================================
--- sasmodels/models/hollow_rectangular_prism.py	(revision 99658f6e997e12486269a52113af19f5089e0ef0)
+++ sasmodels/models/hollow_rectangular_prism.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -98,5 +98,5 @@
 
 .. [#Nayuk2012] R Nayuk and K Huber, *Z. Phys. Chem.*, 226 (2012) 837-854
-L. Onsager, Ann. New York Acad. Sci. 51, 627-659 (1949). 
+L. Onsager, Ann. New York Acad. Sci. 51, 627-659 (1949).
 
 
@@ -110,5 +110,5 @@
 
 import numpy as np
-from numpy import pi, inf, sqrt
+from numpy import inf
 
 name = "hollow_rectangular_prism"
@@ -151,5 +151,5 @@
 have_Fq = True
 effective_radius_type = [
-    "equivalent cylinder excluded volume", "equivalent outer volume sphere", 
+    "equivalent cylinder excluded volume", "equivalent outer volume sphere",
     "half length_a", "half length_b", "half length_c",
     "equivalent outer circular cross-section",
@@ -158,4 +158,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     a, b, c = 10**np.random.uniform(1, 4.7, size=3)
     # Thickness is limited to 1/2 the smallest dimension
Index: sasmodels/models/hollow_rectangular_prism_thin_walls.py
===================================================================
--- sasmodels/models/hollow_rectangular_prism_thin_walls.py	(revision 99658f6e997e12486269a52113af19f5089e0ef0)
+++ sasmodels/models/hollow_rectangular_prism_thin_walls.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -72,5 +72,5 @@
 
 .. [#Nayuk2012] R Nayuk and K Huber, *Z. Phys. Chem.*, 226 (2012) 837-854
-L. Onsager, Ann. New York Acad. Sci. 51, 627-659 (1949). 
+L. Onsager, Ann. New York Acad. Sci. 51, 627-659 (1949).
 
 
@@ -84,5 +84,5 @@
 
 import numpy as np
-from numpy import pi, inf, sqrt
+from numpy import inf
 
 name = "hollow_rectangular_prism_thin_walls"
@@ -111,5 +111,5 @@
 have_Fq = True
 effective_radius_type = [
-    "equivalent cylinder excluded volume", "equivalent outer volume sphere", 
+    "equivalent cylinder excluded volume", "equivalent outer volume sphere",
     "half length_a", "half length_b", "half length_c",
     "equivalent outer circular cross-section",
@@ -119,4 +119,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     a, b, c = 10**np.random.uniform(1, 4.7, size=3)
     pars = dict(
Index: sasmodels/models/lamellar.py
===================================================================
--- sasmodels/models/lamellar.py	(revision 304c775207a9dbbadb23ad414848454d66b556d1)
+++ sasmodels/models/lamellar.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -89,4 +89,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     thickness = 10**np.random.uniform(1, 4)
     pars = dict(
Index: sasmodels/models/lamellar_hg.py
===================================================================
--- sasmodels/models/lamellar_hg.py	(revision 304c775207a9dbbadb23ad414848454d66b556d1)
+++ sasmodels/models/lamellar_hg.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -100,4 +100,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     thickness = 10**np.random.uniform(1, 4)
     length_head = thickness * np.random.uniform(0, 1)
Index: sasmodels/models/lamellar_hg_stack_caille.py
===================================================================
--- sasmodels/models/lamellar_hg_stack_caille.py	(revision 304c775207a9dbbadb23ad414848454d66b556d1)
+++ sasmodels/models/lamellar_hg_stack_caille.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -123,4 +123,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     total_thickness = 10**np.random.uniform(2, 4.7)
     Nlayers = np.random.randint(2, 200)
Index: sasmodels/models/lamellar_stack_caille.py
===================================================================
--- sasmodels/models/lamellar_stack_caille.py	(revision 304c775207a9dbbadb23ad414848454d66b556d1)
+++ sasmodels/models/lamellar_stack_caille.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -101,4 +101,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     total_thickness = 10**np.random.uniform(2, 4.7)
     Nlayers = np.random.randint(2, 200)
Index: sasmodels/models/lamellar_stack_paracrystal.py
===================================================================
--- sasmodels/models/lamellar_stack_paracrystal.py	(revision 304c775207a9dbbadb23ad414848454d66b556d1)
+++ sasmodels/models/lamellar_stack_paracrystal.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -133,4 +133,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     total_thickness = 10**np.random.uniform(2, 4.7)
     Nlayers = np.random.randint(2, 200)
Index: sasmodels/models/line.py
===================================================================
--- sasmodels/models/line.py	(revision 108e70e22154db937a6d46f66be6dd70408cce6d)
+++ sasmodels/models/line.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -58,14 +58,15 @@
 
 
-def Iqxy(qx, qy, *args):
+def Iqxy(qx, qy, intercept, slope):
     """
     :param qx:   Input q_x-value
     :param qy:   Input q_y-value
-    :param args: Remaining arguments
+    :param intercept:   Intrecept in linear model
+    :param slope:       Slope in linear model
     :return:     2D-Intensity
     """
     # TODO: SasView documents 2D intensity as Iq(qx)*Iq(qy), but returns Iq(qy)
     # Note: SasView.run([r, theta]) does return Iq(qx)*Iq(qy)
-    return Iq(qx, *args)*Iq(qy, *args)
+    return Iq(qx, intercept, slope)*Iq(qy, intercept, slope)
 
 Iqxy.vectorized = True  # Iqxy accepts an array of qx qy values
@@ -80,4 +81,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     scale = 10**np.random.uniform(0, 3)
     slope = np.random.uniform(-1, 1)*1e2
Index: sasmodels/models/linear_pearls.py
===================================================================
--- sasmodels/models/linear_pearls.py	(revision 2d81cfe3be42579d563407fb9275b7b516fee234)
+++ sasmodels/models/linear_pearls.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -66,4 +66,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     radius = 10**np.random.uniform(1, 3) # 1 - 1000
     edge_sep = 10**np.random.uniform(0, 3)  # 1 - 1000
@@ -76,5 +77,5 @@
     return pars
 
-"""
+_ = """
 Tests temporarily disabled, until single-double precision accuracy issue solved.
 
Index: sasmodels/models/lorentz.py
===================================================================
--- sasmodels/models/lorentz.py	(revision 2d81cfe3be42579d563407fb9275b7b516fee234)
+++ sasmodels/models/lorentz.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -50,4 +50,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     pars = dict(
         #background=0,
Index: sasmodels/models/mass_fractal.py
===================================================================
--- sasmodels/models/mass_fractal.py	(revision 2d81cfe3be42579d563407fb9275b7b516fee234)
+++ sasmodels/models/mass_fractal.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -88,4 +88,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     radius = 10**np.random.uniform(0.7, 4)
     cutoff_length = 10**np.random.uniform(0.7, 2)*radius
Index: sasmodels/models/mass_surface_fractal.py
===================================================================
--- sasmodels/models/mass_surface_fractal.py	(revision 71b751d6a3a4ef4164f3b322841ddf3875c025c5)
+++ sasmodels/models/mass_surface_fractal.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -96,4 +96,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     fractal_dim = np.random.uniform(0, 6)
     surface_portion = np.random.uniform(0, 1)
@@ -122,5 +123,6 @@
 tests = [
 
-    # Accuracy tests based on content in test/utest_other_models.py  All except first, changed so rg_cluster is the larger, RKH 30 May 2018
+    # Accuracy tests based on content in test/utest_other_models.py  All
+    # except first, changed so rg_cluster is the larger, RKH 30 May 2018
     [{'fractal_dim_mass':   1.8,
       'fractal_dim_surf':   2.3,
Index: sasmodels/models/mono_gauss_coil.py
===================================================================
--- sasmodels/models/mono_gauss_coil.py	(revision c5f7aa9167ef7808c5141b6ace833e53ea36518a)
+++ sasmodels/models/mono_gauss_coil.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -79,4 +79,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     rg = 10**np.random.uniform(0, 4)
     #rg = 1e3
Index: sasmodels/models/multilayer_vesicle.py
===================================================================
--- sasmodels/models/multilayer_vesicle.py	(revision ee60aa768b29c58e20b19e94578ec3a94a0889d7)
+++ sasmodels/models/multilayer_vesicle.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -149,4 +149,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     volfraction = 10**np.random.uniform(-3, -0.5)  # scale from 0.1% to 30%
     radius = 10**np.random.uniform(0, 2.5) # core less than 300 A
Index: sasmodels/models/onion.py
===================================================================
--- sasmodels/models/onion.py	(revision ee60aa768b29c58e20b19e94578ec3a94a0889d7)
+++ sasmodels/models/onion.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -367,4 +367,6 @@
     return np.asarray(z), np.asarray(rho)
 
+# TODO: no random parameter function for onion model
+
 demo = {
     "sld_solvent": 2.2,
Index: sasmodels/models/parallelepiped.py
===================================================================
--- sasmodels/models/parallelepiped.py	(revision 99658f6e997e12486269a52113af19f5089e0ef0)
+++ sasmodels/models/parallelepiped.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -180,5 +180,5 @@
    14 (1961) 185-211
 .. [#] R Nayuk and K Huber, *Z. Phys. Chem.*, 226 (2012) 837-854
-L. Onsager, Ann. New York Acad. Sci. 51, 627-659 (1949). 
+L. Onsager, Ann. New York Acad. Sci. 51, 627-659 (1949).
 
 Authorship and Verification
@@ -192,5 +192,5 @@
 
 import numpy as np
-from numpy import pi, inf, sqrt, sin, cos
+from numpy import inf
 
 name = "parallelepiped"
@@ -233,5 +233,5 @@
 have_Fq = True
 effective_radius_type = [
-    "equivalent cylinder excluded volume", "equivalent volume sphere", 
+    "equivalent cylinder excluded volume", "equivalent volume sphere",
     "half length_a", "half length_b", "half length_c",
     "equivalent circular cross-section", "half ab diagonal", "half diagonal",
@@ -239,4 +239,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     length = 10**np.random.uniform(1, 4.7, size=3)
     pars = dict(
@@ -261,5 +262,5 @@
 # rkh 7/4/17 add random unit test for 2d, note make all params different,
 # 2d values not tested against other codes or models
-qx, qy = 0.2 * cos(pi/6.), 0.2 * sin(pi/6.)
+qx, qy = 0.2 * np.cos(np.pi/6.), 0.2 * np.sin(np.pi/6.)
 tests = [[{}, 0.2, 0.17758004974],
          [{}, [0.2], [0.17758004974]],
Index: sasmodels/models/peak_lorentz.py
===================================================================
--- sasmodels/models/peak_lorentz.py	(revision 2d81cfe3be42579d563407fb9275b7b516fee234)
+++ sasmodels/models/peak_lorentz.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -60,4 +60,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     peak_pos = 10**np.random.uniform(-3, -1)
     peak_hwhm = peak_pos * 10**np.random.uniform(-3, 0)
Index: sasmodels/models/pearl_necklace.py
===================================================================
--- sasmodels/models/pearl_necklace.py	(revision cf3d0cec93db2669bfb7d8037c69b08ae0761c83)
+++ sasmodels/models/pearl_necklace.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -53,9 +53,9 @@
 R Schweins and K Huber, *Particle Scattering Factor of Pearl Necklace Chains*,
 *Macromol. Symp.* 211 (2004) 25-42 2004
-L. Onsager, Ann. New York Acad. Sci. 51, 627-659 (1949). 
+L. Onsager, Ann. New York Acad. Sci. 51, 627-659 (1949).
 """
 
 import numpy as np
-from numpy import inf, pi
+from numpy import inf
 
 name = "pearl_necklace"
@@ -96,9 +96,8 @@
 source = ["lib/sas_Si.c", "lib/sas_3j1x_x.c", "pearl_necklace.c"]
 single = False  # use double precision unless told otherwise
-effective_radius_type = [
-    "equivalent volume sphere", 
-    ]
-    
+effective_radius_type = ["equivalent volume sphere"]
+
 def random():
+    """Return a random parameter set for the model."""
     radius = 10**np.random.uniform(1, 3) # 1 - 1000
     thick_string = 10**np.random.uniform(0, np.log10(radius)-1) # 1 - radius/10
@@ -122,6 +121,6 @@
             thick_string_pd=0.2, thick_string_pd_n=5,
            )
-# ER function is not being used here, not that it is likely very sensible to 
-# include an S(Q) with this model, the default in sasview 5.0 would be to the 
+# ER function is not being used here, not that it is likely very sensible to
+# include an S(Q) with this model, the default in sasview 5.0 would be to the
 # "unconstrained" radius_effective.
 #tests = [[{}, 0.001, 17380.245], [{}, 'ER', 115.39502]]
Index: sasmodels/models/poly_gauss_coil.py
===================================================================
--- sasmodels/models/poly_gauss_coil.py	(revision 2d81cfe3be42579d563407fb9275b7b516fee234)
+++ sasmodels/models/poly_gauss_coil.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -106,4 +106,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     rg = 10**np.random.uniform(0, 4)
     #rg = 1e3
Index: sasmodels/models/polymer_excl_volume.py
===================================================================
--- sasmodels/models/polymer_excl_volume.py	(revision aa900158f288ffb14cd35ce414d65dcc836750dd)
+++ sasmodels/models/polymer_excl_volume.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -163,4 +163,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     rg = 10**np.random.uniform(0, 4)
     porod_exp = np.random.uniform(1e-3, 6)
Index: sasmodels/models/polymer_micelle.py
===================================================================
--- sasmodels/models/polymer_micelle.py	(revision 791281c646d7d88231faab78ed9dcccdee98d83b)
+++ sasmodels/models/polymer_micelle.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -113,4 +113,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     radius_core = 10**np.random.uniform(1, 3)
     rg = radius_core * 10**np.random.uniform(-2, -0.3)
Index: sasmodels/models/porod.py
===================================================================
--- sasmodels/models/porod.py	(revision 2d81cfe3be42579d563407fb9275b7b516fee234)
+++ sasmodels/models/porod.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -47,4 +47,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     sld, solvent = np.random.uniform(-0.5, 12, size=2)
     radius = 10**np.random.uniform(1, 4.7)
Index: sasmodels/models/power_law.py
===================================================================
--- sasmodels/models/power_law.py	(revision 2d81cfe3be42579d563407fb9275b7b516fee234)
+++ sasmodels/models/power_law.py	(revision b297ba9e837aada12de87cd46ea7a01bfe549da7)
@@ -52,4 +52,5 @@
 
 def random():
+    """Return a random parameter set for the model."""
     power = np.random.uniform(1, 6)
     pars = dict(
